package com.liquidnet.service.account.wallet.mapper;

import com.liquidnet.service.account.wallet.bo.FinBizTransDetailBo;
import com.liquidnet.service.account.wallet.entity.FinBizTrans;
import com.liquidnet.service.account.wallet.entity.FinBizTransExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface FinBizTransMapper {
    int countByExample(FinBizTransExample example);

    int insert(FinBizTrans record);

    int insertSelective(FinBizTrans record);

    List<FinBizTrans> selectByExample(FinBizTransExample example);

    FinBizTrans selectByPrimaryKey(String transNo);

    int updateByExampleSelective(@Param("record") FinBizTrans record, @Param("example") FinBizTransExample example);

    int updateByExample(@Param("record") FinBizTrans record, @Param("example") FinBizTransExample example);

    int updateByPrimaryKeySelective(FinBizTrans record);

    int updateByPrimaryKey(FinBizTrans record);


    List<FinBizTrans> selectTransToBeCalculated();

    List<FinBizTransDetailBo> selectTransDetails(Map<String, Object> parameter);

    List<Map<String, Object>> selectTransBalanceStats(Map<String, Object> parameter);
}
